Page MenuHomePhabricator

[PGO] Enable clang to pass compiler-rt profile support library to linker on Windows
ClosedPublic

Authored by slingn on Dec 30 2015, 2:17 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

slingn updated this revision to Diff 43811.Dec 30 2015, 2:17 PM
slingn retitled this revision from to [PGO] Enable clang to pass compiler-rt profile support library to linker on Windows.
slingn updated this object.
slingn added reviewers: davidxl, dnovillo.
slingn added a subscriber: llvm-commits.
davidxl edited edge metadata.Dec 30 2015, 3:36 PM

need a test case in test/Driver/instrprof-ld.c

slingn updated this revision to Diff 43932.Jan 4 2016, 3:16 PM
slingn edited edge metadata.

Updated for davidxl's comments:

-Added test for linker flag in test/Driver/instrprof-ld.c

davidxl added inline comments.Jan 4 2016, 4:20 PM
test/Driver/instrprof-ld.c
119 ↗(On Diff #43932)

Is this check necessary?

davidxl added a subscriber: davidxl.Jan 4 2016, 4:21 PM

I meant the first line that checks the linker.

David

slingn updated this revision to Diff 43947.Jan 4 2016, 5:00 PM
slingn marked an inline comment as done.

-Fix instrprof-ld.c test to correctly skip to linker input.

test/Driver/instrprof-ld.c
119 ↗(On Diff #43932)

Ah - that wasn't doing quite what I wanted. Similar to the other tests we want to skip to the point where the linker args are given. Fixed.

davidxl added inline comments.Jan 4 2016, 5:12 PM
test/Driver/instrprof-ld.c
114 ↗(On Diff #43947)

Can the linker be 'lld-link.exe'?

slingn updated this revision to Diff 44017.Jan 5 2016, 9:20 AM
slingn marked an inline comment as done.

-Fixed to accept any linker with name ending in 'link(.exe)?'

davidxl accepted this revision.Jan 5 2016, 9:24 AM
davidxl edited edge metadata.

lgtm

This revision is now accepted and ready to land.Jan 5 2016, 9:24 AM
slingn edited edge metadata.Jan 5 2016, 9:27 AM
slingn added a subscriber: cfe-commits.
This revision was automatically updated to reflect the committed changes.